package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class OrderProdukVOVO
 * 
 * @author Generator
 */
 
public class OrderProdukVO extends MedicalRecordTransactionVO {
	private String keteranganOrder;
	
	
	//@JsonBackReference
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "orderProduk")
	private Set<DetailOrderTindakanVO> orderTindakan = new HashSet<DetailOrderTindakanVO>();

	public Set<DetailOrderTindakanVO> getOrderTindakan() {
		return orderTindakan;
	}

	public void setOrderTindakan(Set<DetailOrderTindakanVO> orderTindakan) {
		this.orderTindakan = orderTindakan;
	}
	@ManyToOne
	@JoinColumn(name = "RuanganFk")
	@Caption(value = "Ruangan")
	private RuanganVO ruangan;
	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}
	@ManyToOne
	@JoinColumn(name = "StrukOrderFk")
	@NotNull(message = "Struk Order Harus Diisi")
	@Caption(value = "Struk Order")
	private StrukOrderVO strukOrder;

	public StrukOrderVO getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrderVO strukOrder) {
		this.strukOrder = strukOrder;
	}

	public DetailRadiologiVO getDetailRadiologi() {
		return detailRadiologi;
	}

	public void setDetailRadiologi(DetailRadiologiVO detailRadiologi) {
		this.detailRadiologi = detailRadiologi;
	}

	public String getKeteranganOrder() {
		return keteranganOrder;
	}

	public void setKeteranganOrder(String keteranganOrder) {
		this.keteranganOrder = keteranganOrder;
	}

	@Column(name = "StrukOrderFk", insertable = false, updatable = false)
	private String strukOrderId;
	
	
	
	private DetailRadiologiVO detailRadiologi;

	

}